Get calendar configuration info Generally available; Added in 6.2.0

GET /_ml/calendars

Required authorization

  • Cluster privileges: monitor_ml

Query parameters

  • from number

    Skips the specified number of calendars. This parameter is supported only when you omit the calendar identifier.

  • size number

    Specifies the maximum number of calendars to obtain. This parameter is supported only when you omit the calendar identifier.

application/json

Body

  • page object

    This object is supported only when you omit the calendar identifier.

    Hide page attributes Show page attributes object
    • from number

      Skips the specified number of items.

      Default value is 0.0.

    • size number

      Specifies the maximum number of items to obtain.

      Default value is 10000.0.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • calendars array[object] Required
      Hide calendars attributes Show calendars attributes object
      • calendar_id string Required

        A string that uniquely identifies a calendar.

      • description string

        A description of the calendar.

      • job_ids array[string] Required

        An array of anomaly detection job identifiers.

    • count number Required
GET /_ml/calendars
curl \
 --request GET 'http://api.example.com/_ml/calendars' \
 --header "Content-Type: application/json" \
 --data '{"page":{"from":0.0,"size":10000.0}}'